## php5 5.5.13+dfsg

=== debian/changelog ===
php5 (5.5.13+dfsg-0tanglu0.1) aequorea; urgency=medium

  * New upstream version 5.5.13+dfsg
    - CVE-2014-0237: numerous file_printf calls resulting in performance degradation
    - CVE-2014-0238: CDF infinite loop in nelements DoS

 -- Jon Severinsson <jon@severinsson.net>  Sat, 14 Jun 2014 13:00:00 +0200
