## php5 5.6.0+dfsg

=== debian/changelog ===
php5 (5.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.0+dfsg
  * Drop debian/patches/gdIOCtx.patch as it's no longer needed
  * Use printf instead of echo to print all SAPIS
    (https://wiki.ubuntu.com/DashAsBinSh#echo)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Aug 2014 14:47:48 +0200

php5 (5.6.0~rc4+dfsg-4) unstable; urgency=medium

  * Remove unnoticed bashism from sessionclean script

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Aug 2014 17:10:40 +0200

php5 (5.6.0~rc4+dfsg-3) unstable; urgency=medium

  * Even more fixes and improvements to session cleaning script

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Aug 2014 10:46:05 +0200

php5 (5.6.0~rc4+dfsg-2) unstable; urgency=medium

  * Sanitize $PATH in php5-common postinst script (Closes: #758185)
  * Update the sessionclean script to only check for SAPI processes
    (Courtesy of Steve Kamerman)
  * Other various minor improvements in the session cleanup script

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Aug 2014 12:16:56 +0200

php5 (5.6.0~rc4+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.0~rc4+dfsg
  * Update patches for 5.6.0~rc4+dfsg release
  * Don't Recommend php5-cli when Depending on it
  * Update /var/lib/php5 non-standard-dir-perm lintian override
  * Remove patch that reverted upstream patch that broke mod_fastcgi
    as this was fixed upstream
  
 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Aug 2014 16:54:05 +0200

php5 (5.6.0~rc3+dfsg-2) unstable; urgency=medium

  * Add WARNING about the need to modify the cron job if the session
    handling has been modified
  * Change the default session.save_path to /var/lib/php5/sessions
  * Clean session files sorted into subdirectories (Closes: #719982)
  * Make sessionclean script also respect session.save_path and
    session.save_handler (Closes: #720381)
  * Limit the session cleanup only to sess_* files to prevent accidental
    deletion of other files
  * Use \0 as a new line delimiter when reading the session directory list
    (Thanks Goswin Brederlow for review and tips)
  * Bump debhelper compat version to v9 (Closes: #696590)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Aug 2014 15:04:08 +0200

php5 (5.6.0~rc3+dfsg-1) unstable; urgency=medium

  * Add dependency on libpcre3-dev in php5-dev package (PHP#67658)
  * New upstream version 5.6.0~rc3+dfsg
  * Refresh patches for 5.6.0~rc3+dfsg release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Aug 2014 11:18:34 +0200

php5 (5.6.0~rc2+dfsg-5) unstable; urgency=medium

  * Fix null byte suffix after keys in getallheaders() result
    (Closes: #755115)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Jul 2014 16:57:51 +0200

php5 (5.6.0~rc2+dfsg-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * Fix invalid reportbug script directory in the php5 package (Closes: #754775)
  * Fix missing backslash that made php.ini-production empty (Closes: #755057)

  [ Andreas Schwab ]
  * Fix double free or corruption (!prev) on m68k (Closes: #714041)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Jul 2014 12:46:05 +0200

php5 (5.6.0~rc2+dfsg-3) unstable; urgency=medium

  * Remove Sean Finney from Uploaders; Thanks for all the hard work!
  * Revert upstream patch that broke mod_fastcgi (Closes: #754384)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 Jul 2014 09:29:36 +0200

php5 (5.6.0~rc2+dfsg-2) unstable; urgency=medium

  * d/rules: Remove /usr from ./configure invocation to help multiarch
  * Add getallheaders() function to php5-fpm (Closes: #742497)
  * Install phar executable and its man page (Closes: #740876)
  * Move some php5-maintscript-helper messages to debug severity (Closes: #752102)
  * Disable expose_php in standard php.ini-production (Closes: #582204)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 09 Jul 2014 15:20:18 +0200

php5 (5.6.0~rc2+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.0~rc2+dfsg
  * Update patches for 5.6.0~rc2+dfsg release
  * Align our patches with Fedora packaging (Courtesy of Remi Collet)
  * Enable the tests again (Closes: #752099)
  * Use Apache 2.4 updated Allow/Deny directives (Closes: #738959)
  * Strip /usr from libedit, so the libedit is correctly found
  * Hack around the configure ordering that checks for phpdbg before
    checking for libedit (https://github.com/krakjoe/phpdbg/issues/103)
  * Add builtin extension list to phpdbg

 -- Ondřej Surý <ondrej@debian.org>  Wed, 02 Jul 2014 15:50:39 +0200

php5 (5.6.0~rc1+dfsg-3) unstable; urgency=medium

  * Add a duplicate signal handler to php5-fpm to issue reload on SIGHUP
    (Ubuntu#1242376)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 02 Jul 2014 11:48:34 +0200

php5 (5.6.0~rc1+dfsg-2) unstable; urgency=medium

  * Pull upstream fix for phpinfo() Type Confusion Information Leak
    (PHP#67498)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jun 2014 09:28:23 +0200

php5 (5.6.0~rc1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6.0~rc1+dfsg
  * Add new phpdbg SAPI for easier PHP debugging
  * d/repack.sh: Switch the repack script to use dpt repack from
    pkg-perl-tools

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Jun 2014 14:16:54 +0200

php5 (5.6.0~beta4+dfsg-4) unstable; urgency=medium

  * Fix regression introduced by patch for bug PHP#67072
  * Fix regression introduced in fix for bug PHP#67118

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jun 2014 09:51:49 +0200

php5 (5.6.0~beta4+dfsg-3) unstable; urgency=high

  * [CVE-2014-4049]: Fix potential segfault in dns_get_record()

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jun 2014 15:21:53 +0200

php5 (5.6.0~beta4+dfsg-2) unstable; urgency=medium

  * Add UPGRADING document to php5-common and list backwards incompatible
    changes to d/NEWS (Closes: #750890)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Jun 2014 14:08:57 +0200

php5 (5.6.0~beta4+dfsg-1) unstable; urgency=medium

  [ Thijs Kinkhorst ]
  * Drop scary "DO NOT USE IT IN PRODUCTION" news entry. (Closes: #750682)

  [ Ondřej Surý ]

