=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
-	   Sean Finney <seanius@debian.org>,
 	   Thijs Kinkhorst <thijs@debian.org>,
 	   Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -14,7 +13,7 @@
 	       automake (>= 1.11) | automake1.11,
 	       bison,
 	       chrpath,
-	       debhelper (>= 5),
+	       debhelper (>= 9),
 	       dpkg-dev (>= 1.16.1~),
 	       firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
 	       flex,
@@ -30,7 +29,7 @@
 	       libexpat1-dev (>= 1.95.2-2.1),
 	       libfreetype6-dev,
 	       libgcrypt11-dev,
-	       libgd-dev | libgd2-dev,
+	       libgd-dev (>= 2.1.0) | libgd2-dev,
 	       libglib2.0-dev,
 	       libgmp3-dev,
 	       libicu-dev,
@@ -58,6 +57,7 @@
 	       libwrap0-dev,
 	       libxmltok1-dev,
 	       libxml2-dev,
+               libvpx-dev,
 	       libxslt1-dev (>= 1.0.18),
 	       systemtap-sdt-dev [amd64 i386 powerpc armel armhf ia64],
 	       locales-all | language-pack-de,
@@ -73,6 +73,7 @@
 Vcs-Git: git://anonscm.debian.org/pkg-php/php.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php.git
 Homepage: http://www.php.net/
+XS-Testsuite: autopkgtest
 
 Package: php5
 Architecture: all
@@ -120,6 +121,7 @@
 	 apache2 (>= 2.4),
 	 mime-support,
 	 php5-common (= ${binary:Version}),
+	 php5-cli,
 	 php5-json,
 	 libmagic1,
 	 ucf,
@@ -127,7 +129,6 @@
 Conflicts: libapache2-mod-php4,
 	   libapache2-mod-php5filter
 Provides: ${php:Provides}
-Recommends: php5-cli
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (Apache 2 module)
  This package provides the PHP5 module for the Apache 2 webserver (as
@@ -149,6 +150,7 @@
 	 apache2 (>= 2.4),
 	 mime-support,
 	 php5-common (= ${binary:Version}),
+	 php5-cli,
 	 php5-json,
 	 libmagic1,
 	 ucf,
@@ -176,6 +178,7 @@
 	 ${misc:Depends},
 	 mime-support,
 	 php5-common (= ${binary:Version}),
+	 php5-cli,
 	 php5-json,
 	libmagic1,
 	ucf,
@@ -218,12 +221,35 @@
  open source general-purpose scripting language that is especially suited
  for web development and can be embedded into HTML.
 
+Package: php5-phpdbg
+Architecture: any
+Depends: ${shlibs:Depends},
+	 ${misc:Depends},
+	 mime-support,
+	 php5-common (= ${binary:Version}),
+	 php5-json,
+	 libmagic1,
+	 ucf,
+	 tzdata
+Provides: ${php:Provides}
+Recommends: php5-readline
+Description: server-side, HTML-embedded scripting language (PHPDBG binary)
+ This package provides the /usr/bin/phpdbg command interpreter, useful for
+ stepthrough debugging of PHP code.
+ .
+ ${php:Extensions}
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
 Package: php5-fpm
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends},
 	 mime-support,
 	 php5-common (= ${binary:Version}),
+	 php5-cli,
 	 php5-json,
 	 libmagic1,
 	 ucf,
@@ -273,6 +299,7 @@
 	 autoconf (>= 2.63),
 	 automake (>= 1.11),
 	 libssl-dev,
+	 libpcre3-dev,
 	 libtool (>= 2.2),
 	 shtool,
 	 php5-common (>= ${binary:Version}),
@@ -289,7 +316,7 @@
  for web development and can be embedded into HTML.
 
 Package: php5-dbg
-Depends: ${misc:Depends}, php5-common (= ${binary:Version}), libapache2-mod-php5 (= ${binary:Version}) | libapache2-mod-php5filter (= ${binary:Version}) | php5-cgi (= ${binary:Version}) | php5-cli (= ${binary:Version}) | php5-fpm (= ${binary:Version}) | php5-curl (= ${binary:Version}) | php5-enchant (= ${binary:Version}) | php5-gd (= ${binary:Version}) | php5-gmp (= ${binary:Version}) | php5-imap (= ${binary:Version}) | php5-interbase (= ${binary:Version}) | php5-intl (= ${binary:Version}) | php5-ldap (= ${binary:Version}) | php5-mcrypt (= ${binary:Version}) | php5-mysql (= ${binary:Version}) | php5-odbc (= ${binary:Version}) | php5-pgsql (= ${binary:Version}) | php5-pspell (= ${binary:Version}) | php5-readline (= ${binary:Version}) | php5-recode (= ${binary:Version}) | php5-snmp (= ${binary:Version}) | php5-sqlite (= ${binary:Version}) | php5-sybase (= ${binary:Version}) | php5-tidy (= ${binary:Version}) | php5-xmlrpc (= ${binary:Version}) | php5-xsl (= ${binary:Version})
+Depends: ${misc:Depends}, php5-common (= ${binary:Version}), libapache2-mod-php5 (= ${binary:Version}) | libapache2-mod-php5filter (= ${binary:Version}) | php5-cgi (= ${binary:Version}) | php5-cli (= ${binary:Version}) | php5-fpm (= ${binary:Version}) | libphp5-embed (= ${binary:Version}) | php5-curl (= ${binary:Version}) | php5-enchant (= ${binary:Version}) | php5-gd (= ${binary:Version}) | php5-gmp (= ${binary:Version}) | php5-imap (= ${binary:Version}) | php5-interbase (= ${binary:Version}) | php5-intl (= ${binary:Version}) | php5-ldap (= ${binary:Version}) | php5-mcrypt (= ${binary:Version}) | php5-readline (= ${binary:Version}) | php5-mysql (= ${binary:Version}) | php5-mysqlnd (= ${binary:Version}) | php5-odbc (= ${binary:Version}) | php5-pgsql (= ${binary:Version}) | php5-pspell (= ${binary:Version}) | php5-recode (= ${binary:Version}) | php5-snmp (= ${binary:Version}) | php5-sqlite (= ${binary:Version}) | php5-sybase (= ${binary:Version}) | php5-tidy (= ${binary:Version}) | php5-xmlrpc (= ${binary:Version}) | php5-xsl (= ${binary:Version})
 Recommends: gdb
 Section: debug
 Priority: extra
@@ -311,18 +338,3 @@
 Replaces: php4-pear (<< 4:4.4.0-0), php-xml-util
 Provides: php-xml-util
 Description: PEAR - PHP Extension and Application Repository
- This package contains the base PEAR classes for PHP, as well as the PEAR
- installer.  Many PEAR classes are already packaged for Debian, and can be
- easily identified by names beginning with "php-", such as php-db and
- php-auth.  Note: to build and install precompiled PECL extensions, you
- will need one of the php development packages installed.
- .
- PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
- open source general-purpose scripting language that is especially suited
- for web development and can be embedded into HTML.
-
-Package: php5-curl
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${binary:Version}), ucf
-Pre-Depends: dpkg (>= 1.15.7.2~)
-Description: CURL module for php5
