=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: php5
 Section: php
 Priority: optional
-Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
 	   Thijs Kinkhorst <thijs@debian.org>,
 	   Lior Kaplan <kaplan@debian.org>
@@ -15,12 +16,10 @@
 	       chrpath,
 	       debhelper (>= 9),
 	       dpkg-dev (>= 1.16.1~),
-	       firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
 	       flex,
 	       freetds-dev,
 	       libapr1-dev (>= 1.2.7-8),
 	       libbz2-dev,
-	       libc-client-dev,
 	       libcurl4-openssl-dev | libcurl-dev,
 	       libdb-dev,
 	       libedit-dev (>= 2.11-20080614-4),
@@ -37,16 +36,13 @@
 	       libkrb5-dev,
 	       libldap2-dev,
 	       libmagic-dev,
-	       libmcrypt-dev,
 	       libmhash-dev (>= 0.8.8),
 	       libmysqlclient-dev | libmysqlclient15-dev,
-	       libonig-dev,
 	       libpam0g-dev,
 	       libpcre3-dev (>= 6.6),
 	       libpng-dev | libpng12-dev,
 	       libpq-dev,
 	       libpspell-dev,
-	       libqdbm-dev,
 	       librecode-dev,
 	       libsasl2-dev,
 	       libsnmp-dev,
@@ -63,13 +59,14 @@
 	       locales-all | language-pack-de,
 	       mysql-server | virtual-mysql-server,
 	       netbase,
-	       netcat-traditional,
+	       netcat-openbsd | netcat,
 	       re2c,
 	       unixodbc-dev,
 	       zlib1g-dev,
-	       tzdata
+	       tzdata,
+	       libapparmor-dev
 Build-Conflicts: bind-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-php/php.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php.git
 Homepage: http://www.php.net/
@@ -256,7 +253,7 @@
 	 tzdata
 Provides: ${php:Provides}
 Suggests: php-pear
-Pre-Depends: dpkg (>= 1.15.7.2~)
+Pre-Depends: ${misc:Pre-Depends}
 Description: server-side, HTML-embedded scripting language (FPM-CGI binary)
  This package provides the Fast Process Manager interpreter that runs
  as a daemon and receives Fast/CGI requests.  Note that MOST Apache users
@@ -316,7 +313,7 @@
  for web development and can be embedded into HTML.
 
 Package: php5-dbg
-Depends: ${misc:Depends}, php5-common (= ${binary:Version}), libapache2-mod-php5 (= ${binary:Version}) | libapache2-mod-php5filter (= ${binary:Version}) | php5-cgi (= ${binary:Version}) | php5-cli (= ${binary:Version}) | php5-fpm (= ${binary:Version}) | libphp5-embed (= ${binary:Version}) | php5-curl (= ${binary:Version}) | php5-enchant (= ${binary:Version}) | php5-gd (= ${binary:Version}) | php5-gmp (= ${binary:Version}) | php5-imap (= ${binary:Version}) | php5-interbase (= ${binary:Version}) | php5-intl (= ${binary:Version}) | php5-ldap (= ${binary:Version}) | php5-mcrypt (= ${binary:Version}) | php5-readline (= ${binary:Version}) | php5-mysql (= ${binary:Version}) | php5-mysqlnd (= ${binary:Version}) | php5-odbc (= ${binary:Version}) | php5-pgsql (= ${binary:Version}) | php5-pspell (= ${binary:Version}) | php5-recode (= ${binary:Version}) | php5-snmp (= ${binary:Version}) | php5-sqlite (= ${binary:Version}) | php5-sybase (= ${binary:Version}) | php5-tidy (= ${binary:Version}) | php5-xmlrpc (= ${binary:Version}) | php5-xsl (= ${binary:Version})
+Depends: ${misc:Depends}, php5-common (= ${binary:Version}), libapache2-mod-php5 (= ${binary:Version}) | libapache2-mod-php5filter (= ${binary:Version}) | php5-cgi (= ${binary:Version}) | php5-cli (= ${binary:Version}) | php5-fpm (= ${binary:Version}) | libphp5-embed (= ${binary:Version}) | php5-curl (= ${binary:Version}) | php5-enchant (= ${binary:Version}) | php5-gd (= ${binary:Version}) | php5-gmp (= ${binary:Version}) | php5-intl (= ${binary:Version}) | php5-ldap (= ${binary:Version}) | php5-readline (= ${binary:Version}) | php5-mysql (= ${binary:Version}) | php5-mysqlnd (= ${binary:Version}) | php5-odbc (= ${binary:Version}) | php5-pgsql (= ${binary:Version}) | php5-pspell (= ${binary:Version}) | php5-recode (= ${binary:Version}) | php5-snmp (= ${binary:Version}) | php5-sqlite (= ${binary:Version}) | php5-sybase (= ${binary:Version}) | php5-tidy (= ${binary:Version}) | php5-xmlrpc (= ${binary:Version}) | php5-xsl (= ${binary:Version})
 Recommends: gdb
 Section: debug
 Priority: extra
@@ -338,3 +335,6 @@
 Replaces: php4-pear (<< 4:4.4.0-0), php-xml-util
 Provides: php-xml-util
 Description: PEAR - PHP Extension and Application Repository
+ This package contains the base PEAR classes for PHP, as well as the PEAR
+ installer.  Many PEAR classes are already packaged for Debian, and can be
+ easily identified by names beginning with "php-", such as php-db and
